GNU bug report logs - #20670
[PATCH] nnimap: enable additional expunge options

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: Nikolaus Rath <Nikolaus@HIDDEN>; Keywords: patch fixed; dated Wed, 27 May 2015 03:24:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 25 Jan 2017 16:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 11:56:09 2017
Received: from localhost ([127.0.0.1]:43037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWQrd-0007c6-QF
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2017 11:56:09 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:41452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWQrY-0007b8-QD
 for 20670 <at> debbugs.gnu.org; Wed, 25 Jan 2017 11:56:04 -0500
Received: from 2.150.50.220.tmi.telenormobil.no ([2.150.50.220] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWQrU-0004Is-2p; Wed, 25 Jan 2017 17:55:59 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Nikolaus Rath <Nikolaus@HIDDEN>
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
In-Reply-To: <0C68B28B-69C6-4086-AA99-14A7829695FE@HIDDEN> (Nikolaus Rath's
 message of "Tue, 24 Jan 2017 16:32:06 -0800")
Date: Wed, 25 Jan 2017 17:45:59 +0100
Message-ID: <87inp32im0.fsf@HIDDEN>
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN> <87k29kyqpy.fsf@HIDDEN>
 <87wpdk9em7.fsf@HIDDEN> <87efzsyonp.fsf@HIDDEN>
 <87r33s9edg.fsf@HIDDEN>
 <0C68B28B-69C6-4086-AA99-14A7829695FE@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: 8bit
X-Spam-Report: Spam detection software,
 running on the system "hermes.netfonds.no", 
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Nikolaus Rath <Nikolaus@HIDDEN> writes: > On January 24,
 2017 4:23:23 PM PST, Lars Ingebrigtsen <larsi@HIDDEN> wrote: >>>> There
 was a bug in the patch, so I've reverted it for now. >>>> >>>> Here's the
 backtrace: >>>> >>>> Debugger entered--Lisp error: (error "Format specifier
 doesnt match >>>> argument type") >>>> format("%d .*\n" (t ("OK"
 ("HIGHESTMODSEQ"
 "914696") "Expunge" >>>> "completed.") ("VANISHED" "1825937") ("0" "RECENT")))
 >>>> (looking-at (format "%d .*\n" sequence)) >>>> (not (looking-at (format
 "%d .*\n" sequence))) >>>> (progn (while (and (not (bobp)) (progn
 (forward-line
 -1) >>(looking-at >>> [...] >>> >>> Can you tell me how to reproduce it?
 As I've said, it's been working >>> fine here for over a year. >> >>I just
 hit `g'. Whenever there's a new email that's split, it fails. > > Uh, OK.
 That's gonna take me a while to understand and fix. If you or > anyone else
 feels like fixing this up, I will not be offended. I hate > the way Gnus
 represents a "parsed" server response. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: ding@HIDDEN, 20670 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Nikolaus Rath <Nikolaus@HIDDEN> writes:

> On January 24, 2017 4:23:23 PM PST, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>>>> There was a bug in the patch, so I've reverted it for now.
>>>>
>>>> Here's the backtrace:
>>>>
>>>> Debugger entered--Lisp error: (error "Format specifier doesnt match
>>>> argument type")
>>>>   format("%d .*\n" (t ("OK" ("HIGHESTMODSEQ" "914696") "Expunge"
>>>> "completed.") ("VANISHED" "1825937") ("0" "RECENT")))
>>>>   (looking-at (format "%d .*\n" sequence))
>>>>   (not (looking-at (format "%d .*\n" sequence)))
>>>>   (progn (while (and (not (bobp)) (progn (forward-line -1)
>>(looking-at
>>> [...]
>>>
>>> Can you tell me how to reproduce it? As I've said, it's been working
>>> fine here for over a year.
>>
>>I just hit `g'.  Whenever there's a new email that's split, it fails.
>
> Uh, OK. That's gonna take me a while to understand and fix. If you or
> anyone else feels like fixing this up, I will not be offended. I hate
> the way Gnus represents a "parsed" server response.

Well, I would guess that your change doesn't pass in the right numerical
parameter to the waiting function because my IMAP server (Dovecot)
outputs a different response than you're used to.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 25 Jan 2017 00:32:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 19:32:17 2017
Received: from localhost ([127.0.0.1]:41186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWBVY-0005py-3N
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:32:17 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:58183)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Nikolaus@HIDDEN>) id 1cWBVT-0005pn-BH
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:32:15 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 41CC7207D8;
 Tue, 24 Jan 2017 19:32:11 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute1.internal (MEProxy); Tue, 24 Jan 2017 19:32:11 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc:x-sasl-enc; s=
 smtpout; bh=vbYxHlMushBNfSkSAqwOM+vriLQ=; b=AyhywZ+kHp/BRKwz0kn4
 c8VMXKl1fffzU8jDBhrVENyfEbUPPXu6emEHMtawwQONKw4ZvSy35WMVJpgEXcNL
 LmVqqMHCfRkD045nA285Fj5wkd82y561SEpU4G8ziNlM2xOS4uiEsj/GLbkgJcrh
 ZAiEG8En6tWb3IlIKI44nKM=
X-ME-Sender: <xms:C_KHWDb9Kd5lIaeNcYJaWSgdMxg1oSrZ8f31eExZsL5DrNpp3B9C-w>
X-Sasl-enc: alc7jaOYvncsWNcOz88Off3dfhSCLfQQW6mESpiAMjmY 1485304330
Received: from [192.168.17.101] (ip68-228-93-17.oc.oc.cox.net [68.228.93.17])
 by mail.messagingengine.com (Postfix) with ESMTPA id 743777E2B0;
 Tue, 24 Jan 2017 19:32:10 -0500 (EST)
Date: Tue, 24 Jan 2017 16:32:06 -0800
User-Agent: K-9 Mail for Android
In-Reply-To: <87r33s9edg.fsf@HIDDEN>
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN> <87k29kyqpy.fsf@HIDDEN>
 <87wpdk9em7.fsf@HIDDEN> <87efzsyonp.fsf@HIDDEN>
 <87r33s9edg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
To: Lars Ingebrigtsen <larsi@HIDDEN>,20670 <at> debbugs.gnu.org
From: Nikolaus Rath <Nikolaus@HIDDEN>
Message-ID: <0C68B28B-69C6-4086-AA99-14A7829695FE@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20670
Cc: ding@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)



On January 24, 2017 4:23:23 PM PST, Lars Ingebrigtsen <larsi@gnus=2Eorg> w=
rote:
>>> There was a bug in the patch, so I've reverted it for now=2E
>>>
>>> Here's the backtrace:
>>>
>>> Debugger entered--Lisp error: (error "Format specifier doesn=E2=80=99t=
 match
>>> argument type")
>>>   format("%d =2E*\n" (t ("OK" ("HIGHESTMODSEQ" "914696") "Expunge"
>>> "completed=2E") ("VANISHED" "1825937") ("0" "RECENT")))
>>>   (looking-at (format "%d =2E*\n" sequence))
>>>   (not (looking-at (format "%d =2E*\n" sequence)))
>>>   (progn (while (and (not (bobp)) (progn (forward-line -1)
>(looking-at
>> [=2E=2E=2E]
>>
>> Can you tell me how to reproduce it? As I've said, it's been working
>> fine here for over a year=2E
>
>I just hit `g'=2E  Whenever there's a new email that's split, it fails=2E

Uh, OK=2E That's gonna take me a while to understand and fix=2E If you or =
anyone else feels like fixing this up, I will not be offended=2E I hate the=
 way Gnus represents a "parsed" server response=2E

Best,
Nikolaus

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 25 Jan 2017 00:25:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 19:25:32 2017
Received: from localhost ([127.0.0.1]:41181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWBP2-0005fm-BT
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:25:32 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:52313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWBP0-0005fe-Eg
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:25:30 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWBOx-0003Tj-KW; Wed, 25 Jan 2017 01:25:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: npostavs@HIDDEN
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN> <87k29kyqpy.fsf@HIDDEN>
 <87lgu0t2ae.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 01:25:21 +0100
In-Reply-To: <87lgu0t2ae.fsf@HIDDEN> (npostavs's message of
 "Tue, 24 Jan 2017 19:24:09 -0500")
Message-ID: <87mveg9ea6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software,
 running on the system "hermes.netfonds.no", 
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: npostavs@HIDDEN writes: > Nikolaus Rath
 <Nikolaus@HIDDEN> writes: > >> >> Btw,
 is there any way to generate the list of affected functions
 in the >> commit message automatically? Doing this by hand is rather
 cumbersome...
 > > See "Generating ChangeLog entries" in CONTRIBUTE. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: Nikolaus@HIDDEN, ding@HIDDEN, 20670 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

npostavs@HIDDEN writes:

> Nikolaus Rath <Nikolaus@HIDDEN> writes:
>
>>
>> Btw, is there any way to generate the list of affected functions in the
>> commit message automatically? Doing this by hand is rather cumbersome...
>
> See "Generating ChangeLog entries" in CONTRIBUTE. 

Didn't see anything there to put all changed functions into a ChangeLog
automatically?

> If you think it's not
> good enough, see also https://github.com/magit/magit/issues/2931 and
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16301.

So ... the answer is no?  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 25 Jan 2017 00:23:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 19:23:41 2017
Received: from localhost ([127.0.0.1]:41174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWBND-0005cj-Ei
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:23:41 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:52295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWBN8-0005cZ-UD
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:23:38 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWBN3-0004sf-Og; Wed, 25 Jan 2017 01:23:34 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 20670 <at> debbugs.gnu.org
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN> <87k29kyqpy.fsf@HIDDEN>
 <87wpdk9em7.fsf@HIDDEN> <87efzsyonp.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 01:23:23 +0100
In-Reply-To: <87efzsyonp.fsf@HIDDEN> (Nikolaus Rath's message of
 "Tue, 24 Jan 2017 16:22:02 -0800")
Message-ID: <87r33s9edg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "hermes.netfonds.no",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Nikolaus Rath <Nikolaus@HIDDEN> writes: > On Jan 25 2017,
    Lars Ingebrigtsen <larsi@HIDDEN> wrote: >> (The reason you call out of
   the mail headers is because you have a >> >> Mail-Copies-To: never >> >> in
    the mails you send out. So you're never Cc'd.) > > Oh. That's intended to
    avoid Cc's when people are repyling to mailing > list messages. Is debbugs
    considering itself a mailing list? That would > explain it.. > >> There was
    a bug in the patch, so I've reverted it for now. >> >> Here's the backtrace:
    >> >> Debugger entered--Lisp error: (error "Format specifier doesn’t match
    >> argument type") >> format("%d .*\n" (t ("OK" ("HIGHESTMODSEQ" "914696")
    "Expunge" >> "completed.") ("VANISHED" "1825937") ("0" "RECENT"))) >> (looking-at
    (format "%d .*\n" sequence)) >> (not (looking-at (format "%d .*\n" sequence)))
    >> (progn (while (and (not (bobp)) (progn (forward-line -1) (looking-at >
    [...] > > Can you tell me how to reproduce it? As I've said, it's been working
    > fine here for over a year. [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
  0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: Nikolaus Rath <Nikolaus@HIDDEN>, ding@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Nikolaus Rath <Nikolaus@HIDDEN> writes:

> On Jan 25 2017, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>> (The reason you call out of the mail headers is because you have a
>>
>>   Mail-Copies-To: never
>>
>> in the mails you send out.  So you're never Cc'd.)
>
> Oh. That's intended to avoid Cc's when people are repyling to mailing
> list messages. Is debbugs considering itself a mailing list? That would
> explain it..
>
>> There was a bug in the patch, so I've reverted it for now.
>>
>> Here's the backtrace:
>>
>> Debugger entered--Lisp error: (error "Format specifier doesn=E2=80=99t m=
atch
>> argument type")
>>   format("%d .*\n" (t ("OK" ("HIGHESTMODSEQ" "914696") "Expunge"
>> "completed.") ("VANISHED" "1825937") ("0" "RECENT")))
>>   (looking-at (format "%d .*\n" sequence))
>>   (not (looking-at (format "%d .*\n" sequence)))
>>   (progn (while (and (not (bobp)) (progn (forward-line -1) (looking-at
> [...]
>
> Can you tell me how to reproduce it? As I've said, it's been working
> fine here for over a year.

I just hit `g'.  Whenever there's a new email that's split, it fails.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 25 Jan 2017 00:23:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 19:23:09 2017
Received: from localhost ([127.0.0.1]:41171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWBMj-0005bz-5K
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:23:09 -0500
Received: from mail-io0-f195.google.com ([209.85.223.195]:34210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cWBMh-0005bY-J0
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:23:07 -0500
Received: by mail-io0-f195.google.com with SMTP id c80so281010iod.1
 for <20670 <at> debbugs.gnu.org>; Tue, 24 Jan 2017 16:23:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=5Ty5hiQD0jod1lZRmtQcCiA68b4SO6p3j1zBc50QGVs=;
 b=TpCmXIarnF1JRKmFim4JjNJndA7AY/xlRdMRoNy0ySUQP9n+NvPo2T+xrn4sjgNh6G
 n87XWlkIAIXmNavb4Zr1rxhbKIkD4V223UGNG789FDYqaSNEwqRxirnL4ebcL/+ReuYW
 Bsqsc7LGJuCDbUxWZqIsp1bUnNOmKLVJQxZ0MVBzjh+q++GGMdRY08cH1faerKD1tIJ4
 Gj9uTMbno4F6jiaGKobw61o7Oa+xi592gT1R2XWQkoAP2FvrIMrmqBTeTp9fSf0JvUBU
 IrKQmI727sHTyr2pxijzgc3F3s9uul87E7bRXIYtJjwGH6mVnYnyV/4jl0swj35sbF8V
 IlIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=5Ty5hiQD0jod1lZRmtQcCiA68b4SO6p3j1zBc50QGVs=;
 b=fm2butJZ2Nb0GFZwCS9JgzHhA9EmEGSavMBdJwda22/UWxlmD46IBgYKPclBwQjmJu
 wb5i16OK4GcawXzq5s0WpUPINYoT41JYXctwf0x4XMabztSja81bxyKmfCN7K5MGDF2C
 uKvq4XUB10KdhCFAlKyOMZPxumiww1PmnwNulMIhPbi9gCc5E9mw9TZmr1iAJcyuj0Ae
 KGk2zBqd2VWx2SMAzCEGXv2lmMxvTn4y1k7+ng4DYPi1RF6fJChOL5Cys0y84YWW7xOM
 /F15kLR43FdQ6+OegwphMR5mM9bQuAfymNGqELwOYFeDQ38XhtRcB4dPR9ExzKtR6G6V
 j5kA==
X-Gm-Message-State: AIkVDXKfjJxy0awRimKWTxs5uDSxCJIfOk8v6/IqYf9Ud0JIWWDzWVdwtYp0t9VKfL84JQ==
X-Received: by 10.107.190.196 with SMTP id o187mr32437831iof.95.1485303782037; 
 Tue, 24 Jan 2017 16:23:02 -0800 (PST)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id p20sm12176513itc.2.2017.01.24.16.23.01
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 24 Jan 2017 16:23:01 -0800 (PST)
From: npostavs@HIDDEN
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN> <87k29kyqpy.fsf@HIDDEN>
Date: Tue, 24 Jan 2017 19:24:09 -0500
In-Reply-To: <87k29kyqpy.fsf@HIDDEN> (Nikolaus Rath's message of
 "Tue, 24 Jan 2017 15:37:29 -0800")
Message-ID: <87lgu0t2ae.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 20670
Cc: Nikolaus@HIDDEN, ding@HIDDEN, 20670 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Nikolaus Rath <Nikolaus@HIDDEN> writes:

>
> Btw, is there any way to generate the list of affected functions in the
> commit message automatically? Doing this by hand is rather cumbersome...

See "Generating ChangeLog entries" in CONTRIBUTE.  If you think it's not
good enough, see also https://github.com/magit/magit/issues/2931 and
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16301.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 25 Jan 2017 00:22:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 19:22:10 2017
Received: from localhost ([127.0.0.1]:41166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWBLl-0005a0-NF
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:22:10 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:54648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Nikolaus@HIDDEN>) id 1cWBLf-0005Zo-St
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:22:07 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id BA97E2095A;
 Tue, 24 Jan 2017 19:22:03 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute1.internal (MEProxy); Tue, 24 Jan 2017 19:22:03 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc:x-sasl-enc; s=
 smtpout; bh=voCFuyokpWOx/ZgZUMOZ5jTDAmU=; b=Qv7X5T8zvi8uejVx9i7b
 jD588QmIkC5EZc1y1wa3V6FA1Quzm9wwlfdMKa8Ifq8K9HV4K+x5HBN4Pf2RLI1m
 ZHayxVHUVTuwhWFCuK31AUm4CYPTOaV3lTjKrPkX5PKGtjpuGQCykzJkDiZMzqFl
 6vI/+SeNFLFWVsRBQCZmbtY=
X-ME-Sender: <xms:q--HWBeb5JaliH6i0wkJNWRvCw2MjobVb5pPfRp4d0eYgAmHs8gsXw>
X-Sasl-enc: xzDGb3zL6LoGgZ3eCT9hc91gOkBXE6zXwB1TWpDBCMZz 1485303723
Received: from ebox.rath.org (ebox.rath.org [45.79.69.51])
 by mail.messagingengine.com (Postfix) with ESMTPA id 716607E219;
 Tue, 24 Jan 2017 19:22:03 -0500 (EST)
Received: from vostro.rath.org (vostro [192.168.12.4])
 by ebox.rath.org (Postfix) with ESMTPS id 464F62BC;
 Wed, 25 Jan 2017 00:22:02 +0000 (UTC)
Received: by vostro.rath.org (Postfix, from userid 1000)
 id 0EC2510219D; Tue, 24 Jan 2017 16:22:02 -0800 (PST)
From: Nikolaus Rath <Nikolaus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN> <87k29kyqpy.fsf@HIDDEN>
 <87wpdk9em7.fsf@HIDDEN>
Mail-Copies-To: never
Mail-Followup-To: Lars Ingebrigtsen <larsi@HIDDEN>, 20670 <at> debbugs.gnu.org,
 ding@HIDDEN
Date: Tue, 24 Jan 2017 16:22:02 -0800
In-Reply-To: <87wpdk9em7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 25 Jan 2017 01:18:08 +0100")
Message-ID: <87efzsyonp.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20670
Cc: ding@HIDDEN, 20670 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Jan 25 2017, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> (The reason you call out of the mail headers is because you have a
>
>   Mail-Copies-To: never
>
> in the mails you send out.  So you're never Cc'd.)

Oh. That's intended to avoid Cc's when people are repyling to mailing
list messages. Is debbugs considering itself a mailing list? That would
explain it..

> There was a bug in the patch, so I've reverted it for now.
>
> Here's the backtrace:
>
> Debugger entered--Lisp error: (error "Format specifier doesn=E2=80=99t ma=
tch argument type")
>   format("%d .*\n" (t ("OK" ("HIGHESTMODSEQ" "914696") "Expunge"
> "completed.") ("VANISHED" "1825937") ("0" "RECENT")))
>   (looking-at (format "%d .*\n" sequence))
>   (not (looking-at (format "%d .*\n" sequence)))
>   (progn (while (and (not (bobp)) (progn (forward-line -1) (looking-at
[...]

Can you tell me how to reproduce it? As I've said, it's been working
fine here for over a year.


Best,
-Nikolaus
--=20
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             =C2=BBTime flies like an arrow, fruit flies like a Banana.=C2=
=AB




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 25 Jan 2017 00:18:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 19:18:19 2017
Received: from localhost ([127.0.0.1]:41161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWBI3-0005Tu-2s
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:18:19 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:52245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWBI1-0005Tm-JC
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 19:18:18 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWBHy-0002zU-IO; Wed, 25 Jan 2017 01:18:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 20670 <at> debbugs.gnu.org
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN> <87k29kyqpy.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 01:18:08 +0100
In-Reply-To: <87k29kyqpy.fsf@HIDDEN> (Nikolaus Rath's message of
 "Tue, 24 Jan 2017 15:37:29 -0800")
Message-ID: <87wpdk9em7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software,
 running on the system "hermes.netfonds.no", 
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: (The reason you call out of the mail headers is because you
 have a Mail-Copies-To: never in the mails you send out. So you're never Cc'd.)
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: Nikolaus Rath <Nikolaus@HIDDEN>, ding@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

(The reason you call out of the mail headers is because you have a

  Mail-Copies-To: never

in the mails you send out.  So you're never Cc'd.)

There was a bug in the patch, so I've reverted it for now.

Here's the backtrace:

Debugger entered--Lisp error: (error "Format specifier doesn=E2=80=99t matc=
h argument type")
  format("%d .*\n" (t ("OK" ("HIGHESTMODSEQ" "914696") "Expunge" "completed=
.") ("VANISHED" "1825937") ("0" "RECENT")))
  (looking-at (format "%d .*\n" sequence))
  (not (looking-at (format "%d .*\n" sequence)))
  (progn (while (and (not (bobp)) (progn (forward-line -1) (looking-at "\\*=
\\|[0-9]+ OK NOOP")))) (not (looking-at (format "%d .*\n" sequence))))
  (and (setq openp (memq (process-status process) (quote (open run)))) (pro=
gn (while (and (not (bobp)) (progn (forward-line -1) (looking-at "\\*\\|[0-=
9]+ OK NOOP")))) (not (looking-at (format "%d .*\n" sequence)))))
  (while (and (setq openp (memq (process-status process) (quote (open run))=
)) (progn (while (and (not (bobp)) (progn (forward-line -1) (looking-at "\\=
*\\|[0-9]+ OK NOOP")))) (not (looking-at (format "%d .*\n" sequence))))) (i=
f messagep (progn (nnheader-message-maybe 7 "nnimap read %dk from %s%s" (/ =
(buffer-size) 1000) nnimap-address (if (not (=3D 0 (progn "Access slot \"in=
itial-resync\" of `nnimap' struct CL-X." nil ... ...))) (format " (initial =
sync of %d group%s; please wait)" (progn "Access slot \"initial-resync\" of=
 `nnimap' struct CL-X." nil (or ... ...) (aref nnimap-object 12)) (if (=3D =
... 1) "" "s")) "")))) (nnheader-accept-process-output process) (goto-char =
(point-max)))
  (progn (goto-char (point-max)) (while (and (setq openp (memq (process-sta=
tus process) (quote (open run)))) (progn (while (and (not (bobp)) (progn (f=
orward-line -1) (looking-at "\\*\\|[0-9]+ OK NOOP")))) (not (looking-at (fo=
rmat "%d .*\n" sequence))))) (if messagep (progn (nnheader-message-maybe 7 =
"nnimap read %dk from %s%s" (/ (buffer-size) 1000) nnimap-address (if (not =
(=3D 0 ...)) (format " (initial sync of %d group%s; please wait)" (progn "A=
ccess slot \"initial-resync\" of `nnimap' struct CL-X." nil ... ...) (if ..=
. "" "s")) "")))) (nnheader-accept-process-output process) (goto-char (poin=
t-max))) (progn "Access slot \"initial-resync\" of `nnimap' struct CL-X." n=
il (or (and (memq (aref nnimap-object 0) cl-struct-nnimap-tags)) (signal (q=
uote wrong-type-argument) (list (quote nnimap) nnimap-object))) (let* ((v n=
nimap-object)) (aset v 12 0))) openp)
  (condition-case nil (progn (goto-char (point-max)) (while (and (setq open=
p (memq (process-status process) (quote (open run)))) (progn (while (and (n=
ot ...) (progn ... ...))) (not (looking-at (format "%d .*\n" sequence))))) =
(if messagep (progn (nnheader-message-maybe 7 "nnimap read %dk from %s%s" (=
/ (buffer-size) 1000) nnimap-address (if (not ...) (format " (initial sync =
of %d group%s; please wait)" ... ...) "")))) (nnheader-accept-process-outpu=
t process) (goto-char (point-max))) (progn "Access slot \"initial-resync\" =
of `nnimap' struct CL-X." nil (or (and (memq (aref nnimap-object 0) cl-stru=
ct-nnimap-tags)) (signal (quote wrong-type-argument) (list (quote nnimap) n=
nimap-object))) (let* ((v nnimap-object)) (aset v 12 0))) openp) (quit (if =
debug-on-quit (progn (debug "Quit"))) (delete-process process) nil))
  (let ((process (get-buffer-process (current-buffer))) openp) (condition-c=
ase nil (progn (goto-char (point-max)) (while (and (setq openp (memq (proce=
ss-status process) (quote ...))) (progn (while (and ... ...)) (not (looking=
-at ...)))) (if messagep (progn (nnheader-message-maybe 7 "nnimap read %dk =
from %s%s" (/ ... 1000) nnimap-address (if ... ... "")))) (nnheader-accept-=
process-output process) (goto-char (point-max))) (progn "Access slot \"init=
ial-resync\" of `nnimap' struct CL-X." nil (or (and (memq (aref nnimap-obje=
ct 0) cl-struct-nnimap-tags)) (signal (quote wrong-type-argument) (list (qu=
ote nnimap) nnimap-object))) (let* ((v nnimap-object)) (aset v 12 0))) open=
p) (quit (if debug-on-quit (progn (debug "Quit"))) (delete-process process)=
 nil)))
  nnimap-wait-for-response((t ("OK" ("HIGHESTMODSEQ" "914696") "Expunge" "c=
ompleted.") ("VANISHED" "1825937") ("0" "RECENT")))
  (if (and sync sequence) (nnimap-wait-for-response sequence))
  (let ((sequence (cond ((eq nnimap-expunge (quote immediately)) (if (nnima=
p-capability "UIDPLUS") (nnimap-command "UID EXPUNGE %s" (nnimap-article-ra=
nges articles)) (nnheader-message 3 (concat "nnimap-expunge set to 'immedia=
tely, but " "server doesn't support UIDPLUS")))) ((memq nnimap-expunge (quo=
te (on-exit never))) nil) ((nnimap-capability "UIDPLUS") (nnimap-command "U=
ID EXPUNGE %s" (nnimap-article-ranges articles))) (nnimap-expunge (nnimap-c=
ommand "EXPUNGE")) (t (nnheader-message 7 "Article marked for deletion, but=
 not expunged."))))) (if (and sync sequence) (nnimap-wait-for-response sequ=
ence)))
  (save-current-buffer (set-buffer (nnimap-buffer)) (nnimap-command "UID ST=
ORE %s +FLAGS.SILENT (\\Deleted)" (nnimap-article-ranges articles)) (let ((=
sequence (cond ((eq nnimap-expunge (quote immediately)) (if (nnimap-capabil=
ity "UIDPLUS") (nnimap-command "UID EXPUNGE %s" ...) (nnheader-message 3 ..=
.))) ((memq nnimap-expunge (quote ...)) nil) ((nnimap-capability "UIDPLUS")=
 (nnimap-command "UID EXPUNGE %s" (nnimap-article-ranges articles))) (nnima=
p-expunge (nnimap-command "EXPUNGE")) (t (nnheader-message 7 "Article marke=
d for deletion, but not expunged."))))) (if (and sync sequence) (nnimap-wai=
t-for-response sequence))))
  nnimap-delete-article((1825937) t)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:48:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:48:19 2017
Received: from localhost ([127.0.0.1]:41141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAoz-00032n-O4
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:48:19 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:51947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWAou-00032b-Px
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:48:16 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWAoo-0004rA-Gz; Wed, 25 Jan 2017 00:48:10 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#20670: Status: [PATCH] nnimap: enable additional expunge
 options
References: <556538A5.3050302@HIDDEN> <87inp4p7ri.fsf@HIDDEN>
 <87d1fcp79f.fsf@HIDDEN> <8737g8p715.fsf@HIDDEN>
 <v0a8agavs8.fsf@HIDDEN> <87efzsca5x.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 00:48:00 +0100
In-Reply-To: <87efzsca5x.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 25 Jan 2017 00:26:02 +0100")
Message-ID: <87pojcaukv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: 20670 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Glenn Morris <rgm@HIDDEN> writes:
>
>> I like to discourage the use of packages as glorified tags, so perhaps
>> get rid of the "gnus" package altogether, and instead use a usertag or
>> just add "gnus" to the subject.
>
> Sure, sounds good to me.

Do you have some magic you could do on your side?  :-)  Otherwise I can
script something that sends "reassign" messages to the about 100 bug
reports in question...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.
bug closed, send any further explanations to 20670 <at> debbugs.gnu.org and Nikolaus Rath <Nikolaus@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:46:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:46:58 2017
Received: from localhost ([127.0.0.1]:41130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAni-0002hf-78
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:46:58 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:51925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWAnf-0002fD-Lx
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:46:56 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWAnc-0000SM-Iq; Wed, 25 Jan 2017 00:46:54 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 20670 <at> debbugs.gnu.org
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN> <87k29kyqpy.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 00:46:46 +0100
In-Reply-To: <87k29kyqpy.fsf@HIDDEN> (Nikolaus Rath's message of
 "Tue, 24 Jan 2017 15:37:29 -0800")
Message-ID: <87vat4aumx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software,
 running on the system "hermes.netfonds.no", 
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Nikolaus Rath <Nikolaus@HIDDEN> writes: > Thanks! Attached
 is an updated patch. Thanks; applied. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: ding@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Nikolaus Rath <Nikolaus@HIDDEN> writes:

> Thanks! Attached is an updated patch.

Thanks; applied.

> Btw, is there any way to generate the list of affected functions in the
> commit message automatically? Doing this by hand is rather cumbersome...

I don't know of any such functionality...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:38:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:38:53 2017
Received: from localhost ([127.0.0.1]:41116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAft-00016T-K3
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:38:53 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:33521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Nikolaus@HIDDEN>) id 1cWAfr-00016L-RB
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:38:52 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 791DA20C40;
 Tue, 24 Jan 2017 18:38:51 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute1.internal (MEProxy); Tue, 24 Jan 2017 18:38:51 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc:x-sasl-enc; s=
 smtpout; bh=lPPY1y4YDUhmlQ8oT4hYeHRYxlc=; b=tTDMBmXlMH63rTIq78LP
 YoQuoEWxmY1iMnT+Xj2mO3CT+YgBVGD4FpH7g53ZGaGQd4mVLIniL6joeznURsnC
 Mjme9pI74URrRY5bqDGVNvRwwIE132xF0UX08csLGljMnzOd9mryLDjCvKbUr46V
 oBfNjYm5usCnxoHYd3VX4Kk=
X-ME-Sender: <xms:i-WHWCm7y4WFtidkrM9BUYa5WLvJFUZ2AbvXAnIhiKmtUJ1CkdagHA>
X-Sasl-enc: OXNDcUdopaZG4Lk6TOA5vCGdh2F9Dn19GkBkSZwKDANa 1485301131
Received: from ebox.rath.org (ebox.rath.org [45.79.69.51])
 by mail.messagingengine.com (Postfix) with ESMTPA id 39105244D6;
 Tue, 24 Jan 2017 18:38:51 -0500 (EST)
Received: from vostro.rath.org (vostro [192.168.12.4])
 by ebox.rath.org (Postfix) with ESMTPS id 9ACD6398;
 Tue, 24 Jan 2017 23:38:50 +0000 (UTC)
Received: by vostro.rath.org (Postfix, from userid 1000)
 id 696AB10219D; Tue, 24 Jan 2017 15:38:50 -0800 (PST)
From: Nikolaus Rath <Nikolaus@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#20670: Status: [PATCH] nnimap: enable additional expunge
 options
References: <556538A5.3050302@HIDDEN> <87inp4p7ri.fsf@HIDDEN>
 <87d1fcp79f.fsf@HIDDEN> <8737g8p715.fsf@HIDDEN>
 <87mvegyrzo.fsf@HIDDEN> <6rlgu0ox8y.fsf@HIDDEN>
Date: Tue, 24 Jan 2017 15:38:50 -0800
In-Reply-To: <6rlgu0ox8y.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 24 Jan 2017 18:26:37 -0500")
Message-ID: <87h94oyqnp.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20670
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, bug#20670 <20670 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Jan 24 2017, Glenn Morris <rgm@HIDDEN> wrote:
> Nikolaus Rath wrote:
>
>> bug tracker. I only see your last three messages by accident when using
>> the web interface. They were not send to me by email, despite my being
>> the submitter.
>
> The system is working as designed.

Well, in that case I think its badly designed, because...

> People should use reply-to-all on GNU mailing lists, but sometimes they
> only reply-to-list.

..this then leads to messages being lost without anyone noticing.

Best,
-Nikolaus

--=20
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             =C2=BBTime flies like an arrow, fruit flies like a Banana.=C2=
=AB




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:37:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:37:37 2017
Received: from localhost ([127.0.0.1]:41111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAed-00014P-OI
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:37:37 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:55997)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Nikolaus@HIDDEN>) id 1cWAeZ-00014E-9q
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:37:34 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id CE18620975;
 Tue, 24 Jan 2017 18:37:30 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute1.internal (MEProxy); Tue, 24 Jan 2017 18:37:30 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc:x-sasl-enc; s=smtpout; bh=5u3PUVVCP4fNYH
 wYa1QRaeC0N6w=; b=lquoqYUxP4KJYvFL+oucU6Ben7JXVM6WzGTsnbDO+Ku5Q8
 P2xfl9L90BO2Msq8dVg4Lb9o/yKYgrEykmX1D20OQiCTPotbeD1Kd9deFTovaNMs
 z3I1sX3AKFZDmFIweVoucXcaR4wtE6uB0UZ+wXS2XtiN8ZnvWc75KMX08TwYc=
X-ME-Sender: <xms:OuWHWN5auNnRip0W5C9RFFThsD8DOgzWH93DxZkbh7WCDUStvv0tKw>
X-Sasl-enc: zENOO4Uylvbd9fCB8KsTHbuPMMW83zS+MornbwnJLqx4 1485301050
Received: from ebox.rath.org (ebox.rath.org [45.79.69.51])
 by mail.messagingengine.com (Postfix) with ESMTPA id 7A8C87E2DE;
 Tue, 24 Jan 2017 18:37:30 -0500 (EST)
Received: from vostro.rath.org (vostro [192.168.12.4])
 by ebox.rath.org (Postfix) with ESMTPS id AF8F2398;
 Tue, 24 Jan 2017 23:37:29 +0000 (UTC)
Received: by vostro.rath.org (Postfix, from userid 1000)
 id 782F410219D; Tue, 24 Jan 2017 15:37:29 -0800 (PST)
From: Nikolaus Rath <Nikolaus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
 <87pojcp7y7.fsf@HIDDEN>
Mail-Copies-To: never
Mail-Followup-To: Lars Ingebrigtsen <larsi@HIDDEN>, 20670 <at> debbugs.gnu.org,
 ding@HIDDEN
Date: Tue, 24 Jan 2017 15:37:29 -0800
In-Reply-To: <87pojcp7y7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 24 Jan 2017 20:35:28 +0100")
Message-ID: <87k29kyqpy.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20670
Cc: ding@HIDDEN, 20670 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Jan 24 2017, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> Nikolaus Rath <Nikolaus@HIDDEN> writes:
>
>> If the IMAP server supports the UID EXPUNGE command, the nnimap backend
>> currently always expunges deleted articles.
>>
>> If the IMAP server does not support this command, articles are either
>> not expunged at all (nnimap-expunge is nil), or ALL articles that are
>> currently flagged as deleted will be expunged when any one article is
>> deleted in Gnus.
>>
>> This patch introduces three new settings for nnimap-expunge:
>
> Looks good.  Two minor comments:
>
> +               (nnheader-message 3 (concat "nnimap-expunge set to 'immed=
iately, but "
> +                                           "server doesn't support UIDPL=
US"))))
> +
>
> You've probably done this to make the lines short enough, but the first
> one is still more than 80 chars wide.
>
> +             (nnheader-message 7 "Article marked for deletion, but not e=
xpunged.")))))
>
> And so is this.  It's probably better to just reflow by breaking the
> line after `nnheader-message'.
>
> This change should also be documented in the "Customizing the IMAP
> Connection" node in the Gnus manual, and get an entry in the NEWS
> file.

Thanks! Attached is an updated patch.

Btw, is there any way to generate the list of affected functions in the
commit message automatically? Doing this by hand is rather cumbersome...


Best,
-Nikolaus
--=20
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             =C2=BBTime flies like an arrow, fruit flies like a Banana.=C2=
=AB

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-nnimap.el-support-additional-expunge-options.patch

From 3421d2b8c8d3eb20052432d1ba331be886d812a6 Mon Sep 17 00:00:00 2001
From: Nikolaus Rath <Nikolaus@HIDDEN>
Date: Tue, 24 Jan 2017 15:31:46 -0800
Subject: [PATCH] nnimap.el: support additional expunge options

* lisp/gnus/nnimap.el (nnimap-close-group,
nnimap-request-expire-articles, nnimap-delete-article,
nnimap-request-scan): add new 'never, 'immediate, and 'on-exit
settings for nnimap-expunge.
---
 doc/misc/gnus.texi  | 16 ++++++++--
 etc/NEWS            | 10 +++++++
 lisp/gnus/nnimap.el | 85 ++++++++++++++++++++++++++++++-----------------------
 3 files changed, 72 insertions(+), 39 deletions(-)

diff --git a/doc/misc/gnus.texi b/doc/misc/gnus.texi
index 05159..e8524 100644
--- a/doc/misc/gnus.texi
+++ b/doc/misc/gnus.texi
@@ -14273,9 +14273,19 @@ Customizing the IMAP Connection
 @code{plain} or @code{cram-md5}.
 
 @item nnimap-expunge
-If non-@code{nil}, expunge articles after deleting them.  This is always done
-if the server supports UID EXPUNGE, but it's not done by default on
-servers that doesn't support that command.
+When to expunge deleted messages.  If @code{never}, deleted articles
+are marked with the IMAP @code{\\Delete} flag but not automatically
+expunged. If @code{immediately}, deleted articles are immediately expunged
+(this requires the server to support the UID EXPUNGE command). If
+@code{on-exit}, deleted articles are flagged, and all flagged articles are
+expunged when the group is closed.
+
+For backwards compatibility, this variable may also be set to t
+or nil. If the server supports UID EXPUNGE, both t and nil are
+equivalent to @code{immediately}. If the server does not support UID
+EXPUNGE nil is equivalent to @code{never}, while t will immediately
+expunge ALL articles that are currently flagged as deleted
+(i.e., potentially not only the article that was just deleted).
 
 @item nnimap-streaming
 Virtually all @acronym{IMAP} server support fast streaming of data.
diff --git a/etc/NEWS b/etc/NEWS
index ca66d..e5ee4 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -81,6 +81,16 @@ for '--daemon'.
 * Changes in Emacs 26.1
 
 +++
+** The Gnus user variable 'nnimap-expunge' supports three new values:
+'never' for never expunging messages, 'immediately' for immediately
+expunging deleted messages, and 'on-exit' to expunge deleted articles
+when exiting the group's summary buffer. Setting 'nnimap-expunge' to
+'nil' or 't' is still supported but not recommended, since it may
+result in Gnus expunging all messages that have been flagged as
+deleted by any IMAP client (rather than just those that have been
+deleted by Gnus).
+
++++
 ** The new function 'mapbacktrace' applies a function to all frames of
 the current stack trace.
 
diff --git a/lisp/gnus/nnimap.el b/lisp/gnus/nnimap.el
index 700e86..e7e64 100644
--- a/lisp/gnus/nnimap.el
+++ b/lisp/gnus/nnimap.el
@@ -92,10 +92,21 @@ nnimap-authenticator
 Possible choices are nil (use default methods), `anonymous',
 `login', `plain' and `cram-md5'.")
 
-(defvoo nnimap-expunge t
-  "If non-nil, expunge articles after deleting them.
-This is always done if the server supports UID EXPUNGE, but it's
-not done by default on servers that doesn't support that command.")
+(defvoo nnimap-expunge 'on-exit
+  "When to expunge deleted messages.
+If 'never, deleted articles are marked with the IMAP \\Delete
+flag but not automatically expunged. If 'immediately, deleted
+articles are immediately expunged (this requires the server to
+support the UID EXPUNGE command). If 'on-exit, deleted articles
+are flagged, and all flagged articles are expunged when the
+group is closed.
+
+For backwards compatibility, this variable may also be set to t
+or nil. If the server supports UID EXPUNGE, both t and nil are
+equivalent to 'immediately. If the server does not support UID
+EXPUNGE nil is equivalent to 'never, while t will immediately
+expunge ALL articles that are currently flagged as deleted
+(i.e., potentially not only the article that was just deleted).")
 
 (defvoo nnimap-streaming t
   "If non-nil, try to use streaming commands with IMAP servers.
@@ -911,7 +922,11 @@ nnimap-get-flags
     (nreverse articles)))
 
 (deffoo nnimap-close-group (_group &optional _server)
-  t)
+  (when (eq nnimap-expunge 'on-exit)
+    (nnoo-change-server 'nnimap server nil)
+    (with-current-buffer (nnimap-buffer)
+      (nnimap-wait-for-response
+       (nnimap-send-command "EXPUNGE")))))
 
 (deffoo nnimap-request-move-article (article group server accept-form
 					     &optional _last
@@ -960,8 +975,7 @@ nnimap-request-expire-articles
     articles)
    ((and force
 	 (eq nnmail-expiry-target 'delete))
-    (unless (nnimap-delete-article (gnus-compress-sequence articles))
-      (nnheader-message 7 "Article marked for deletion, but not expunged."))
+    (nnimap-delete-article (gnus-compress-sequence articles))
     nil)
    (t
     (let ((deletable-articles
@@ -1084,21 +1098,38 @@ nnimap-find-article-by-message-id
             (when (and limit number-of-article)
               (nnimap-find-article-by-message-id group server message-id))))))))
 
-(defun nnimap-delete-article (articles)
+(defun nnimap-delete-article (articles &optional sync)
+  "Delete ARTICLES.
+
+If sync is non-nil, wait for server response."
   (with-current-buffer (nnimap-buffer)
     (nnimap-command "UID STORE %s +FLAGS.SILENT (\\Deleted)"
 		    (nnimap-article-ranges articles))
+    (let ((sequence
     (cond
-     ((nnimap-capability "UIDPLUS")
+            ((eq nnimap-expunge 'immediately)
+             (if (nnimap-capability "UIDPLUS")
       (nnimap-command "UID EXPUNGE %s"
 		      (nnimap-article-ranges articles))
-      t)
+      (nnheader-message
+       3 (concat "nnimap-expunge set to 'immediately, but "
+                 "server doesn't support UIDPLUS"))))
+
+            ((memq nnimap-expunge '(on-exit never)) nil)
+
+            ((nnimap-capability "UIDPLUS")
+             (nnimap-command "UID EXPUNGE %s"
+                             (nnimap-article-ranges articles)))
+
      (nnimap-expunge
-      (nnimap-command "EXPUNGE")
-      t)
-     (t (gnus-message 7 (concat "nnimap: nnimap-expunge is not set and the "
-                                "server doesn't support UIDPLUS, so we won't "
-                                "delete this article now"))))))
+             (nnimap-command "EXPUNGE"))
+
+            (t
+             (nnheader-message
+              7 "Article marked for deletion, but not expunged.")))))
+
+      (if (and sync sequence)
+          (nnimap-wait-for-response sequence)))))
 
 (deffoo nnimap-request-scan (&optional group server)
   (when group
@@ -2118,27 +2149,9 @@ nnimap-split-incoming-mail
 	      (nnimap-wait-for-response (caar sequences))
 	      ;; And then mark the successful copy actions as deleted,
 	      ;; and possibly expunge them.
-	      (nnimap-mark-and-expunge-incoming
-	       (nnimap-parse-copied-articles sequences)))
-            (nnimap-mark-and-expunge-incoming junk-articles)))))))
-
-(defun nnimap-mark-and-expunge-incoming (range)
-  (when range
-    (setq range (nnimap-article-ranges range))
-    (erase-buffer)
-    (let ((sequence
-	   (nnimap-send-command
-	    "UID STORE %s +FLAGS.SILENT (\\Deleted)" range)))
-      (cond
-       ;; If the server supports it, we now delete the message we have
-       ;; just copied over.
-       ((nnimap-capability "UIDPLUS")
-	(setq sequence (nnimap-send-command "UID EXPUNGE %s" range)))
-       ;; If it doesn't support UID EXPUNGE, then we only expunge if the
-       ;; user has configured it.
-       (nnimap-expunge
-	(setq sequence (nnimap-send-command "EXPUNGE"))))
-      (nnimap-wait-for-response sequence))))
+              (nnimap-delete-article
+               (nnimap-parse-copied-articles sequences) t))
+            (nnimap-delete-article junk-articles t)))))))
 
 (defun nnimap-parse-copied-articles (sequences)
   (let (sequence copied range)
-- 
2.1.4


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:27:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:27:51 2017
Received: from localhost ([127.0.0.1]:41075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAVD-0007Xm-M7
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:27:51 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:51770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWAVC-0007Xf-7D
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:27:50 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWAV8-00086a-Ve; Wed, 25 Jan 2017 00:27:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Nikolaus Rath <Nikolaus@HIDDEN>
Subject: Re: Status: [PATCH] nnimap: enable additional expunge options
References: <87inp4p7ri.fsf@HIDDEN> <87pojcys17.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 00:27:41 +0100
In-Reply-To: <87pojcys17.fsf@HIDDEN> (Nikolaus Rath's message of
 "Tue, 24 Jan 2017 15:09:08 -0800")
Message-ID: <877f5kca36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: bug#20670 <20670 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Nikolaus Rath <Nikolaus@HIDDEN> writes:

> I think that is what M-x gnus-bug produces by default (or at least used
> to produce).

Ah, so it does:

X-Debbugs-Version: 5.13
X-Debbugs-Package: gnus

I'll fix that...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:26:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:26:57 2017
Received: from localhost ([127.0.0.1]:41066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAUL-0007Vm-DA
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:26:57 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60635)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cWAUH-0007VL-UH
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:26:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cWAUC-0002FT-8B
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:26:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.1 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51239)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cWAU2-0002Bc-Of; Tue, 24 Jan 2017 18:26:38 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cWAU2-0003OQ-4p; Tue, 24 Jan 2017 18:26:38 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Nikolaus Rath <Nikolaus@HIDDEN>
Subject: Re: bug#20670: Status: [PATCH] nnimap: enable additional expunge
 options
References: <556538A5.3050302@HIDDEN> <87inp4p7ri.fsf@HIDDEN>
 <87d1fcp79f.fsf@HIDDEN> <8737g8p715.fsf@HIDDEN>
 <87mvegyrzo.fsf@HIDDEN>
X-Spook: Computer infrastructure explosion military Nuclear
X-Ran: 0!C?*BBo-l?95ZYTh1/q`Oa48":ic\H\@mnDm=KG_#An*$GFcV8P&|`HG{+$!exN0J"B9/
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 24 Jan 2017 18:26:37 -0500
In-Reply-To: <87mvegyrzo.fsf@HIDDEN> (Nikolaus Rath's message of
 "Tue, 24 Jan 2017 15:10:03 -0800")
Message-ID: <6rlgu0ox8y.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.2 (--------)
X-Debbugs-Envelope-To: 20670
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, bug#20670 <20670 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.2 (--------)

Nikolaus Rath wrote:

> bug tracker. I only see your last three messages by accident when using
> the web interface. They were not send to me by email, despite my being
> the submitter.

The system is working as designed.
People should use reply-to-all on GNU mailing lists, but sometimes they
only reply-to-list.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:26:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:26:12 2017
Received: from localhost ([127.0.0.1]:41060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWATb-0007UX-Qy
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:26:12 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:51753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWATb-0007UQ-12
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:26:11 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWATY-0002Dh-Cy; Wed, 25 Jan 2017 00:26:10 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#20670: Status: [PATCH] nnimap: enable additional expunge
 options
References: <556538A5.3050302@HIDDEN> <87inp4p7ri.fsf@HIDDEN>
 <87d1fcp79f.fsf@HIDDEN> <8737g8p715.fsf@HIDDEN>
 <v0a8agavs8.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 00:26:02 +0100
In-Reply-To: <v0a8agavs8.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 24 Jan 2017 18:21:59 -0500")
Message-ID: <87efzsca5x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: bug#20670 <20670 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Glenn Morris <rgm@HIDDEN> writes:

> I like to discourage the use of packages as glorified tags, so perhaps
> get rid of the "gnus" package altogether, and instead use a usertag or
> just add "gnus" to the subject.

Sure, sounds good to me.

> But it sounds like maybe the history here has been forgotten:
>
> Gnus always had its own dedicated bug list, and some time ago [1]
> we set things up so that would redirect to a "gnus" package at
> debbugs.gnu.org. "emacs,gnus" was not appropriate, since eg these
> reports might be about gnus with XEmacs or other issues irrelevant to
> gnus-as-shipped with Emacs. See gnus-bug-package in gnus.el.
>
> Anyway, that was the reasoning at the time.

I'm sure it made sense at the time, but these days there is no Gnus
outside of Emacs, so I think it would be nice to roll them back into the
Emacs bug tracker.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:22:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:22:28 2017
Received: from localhost ([127.0.0.1]:41046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAPw-0007O0-NC
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:22:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cWAPr-0007Nk-QL
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:22:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cWAPl-0000ia-Pj
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:22:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51172)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cWAPa-0000fM-4R; Tue, 24 Jan 2017 18:22:02 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cWAPY-0002tW-56; Tue, 24 Jan 2017 18:22:00 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#20670: Status: [PATCH] nnimap: enable additional expunge
 options
References: <556538A5.3050302@HIDDEN> <87inp4p7ri.fsf@HIDDEN>
 <87d1fcp79f.fsf@HIDDEN> <8737g8p715.fsf@HIDDEN>
X-Spook: Fort Hancock wire transfer Infection kibo UNSCOM Gangs
X-Ran: DO&Y]Nalj(?Fp|V:0?%db;'}hb%Ad.h?zhR+:<[`UIdZl}{pTP?CMX,'04I0Cf;\|g0!CD
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 24 Jan 2017 18:21:59 -0500
Message-ID: <v0a8agavs8.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.2 (--------)
X-Debbugs-Envelope-To: 20670
Cc: bug#20670 <20670 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.2 (--------)

Lars Ingebrigtsen wrote:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Indeed.  There were about 100 Gnus-only bug reports, so I've never seen
>> them before.  *sigh*
>
> Would anybody mind if I reassigned them all back to emacs,gnus?  So they
> don't get "lost" again?

Personally I don't care what you do with them. :)
I like to discourage the use of packages as glorified tags, so perhaps
get rid of the "gnus" package altogether, and instead use a usertag or
just add "gnus" to the subject.

But it sounds like maybe the history here has been forgotten:

Gnus always had its own dedicated bug list, and some time ago [1]
we set things up so that would redirect to a "gnus" package at
debbugs.gnu.org. "emacs,gnus" was not appropriate, since eg these
reports might be about gnus with XEmacs or other issues irrelevant to
gnus-as-shipped with Emacs. See gnus-bug-package in gnus.el.

Anyway, that was the reasoning at the time.

[1] https://lists.gnu.org/archive/html/emacs-devel/2011-03/msg00598.html




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:16:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:16:37 2017
Received: from localhost ([127.0.0.1]:41034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAKI-0007F3-6M
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:16:37 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:38699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Nikolaus@HIDDEN>) id 1cWAKB-0007Eq-JO
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:16:32 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 7B6DD20906;
 Tue, 24 Jan 2017 18:16:27 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute1.internal (MEProxy); Tue, 24 Jan 2017 18:16:27 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc:x-sasl-enc; s=
 smtpout; bh=rrjyRLz4nAX/ZAnPT1yeizIItQs=; b=l22TWaWShv0DSolzWJnj
 BgyhvOCyssq6/A8AD1pQkTqQSmz5AFx7+35k/9WBrTKBf5hwR9GeZAKWOrCZ9RzM
 /NTgiPisrwGV7wXPrzkn8L5OWwmtc+8J9BHq9/eZdjxZlg8622yhxPkBFhuxwGnV
 Hkqi/CmAi45G7Rj1ejPJpV4=
X-ME-Sender: <xms:S-CHWPoIOosKI21rp-cP_K9o2tgthFjE8HLeCzUf4r_dXfTTovjF0Q>
X-Sasl-enc: JPnMBCPfSpFyLt7fA0gN5/88ofBXkMzGACN/1MGr5qaf 1485299787
Received: from ebox.rath.org (ebox.rath.org [45.79.69.51])
 by mail.messagingengine.com (Postfix) with ESMTPA id 391837E2E6;
 Tue, 24 Jan 2017 18:16:27 -0500 (EST)
Received: from vostro.rath.org (vostro [192.168.12.4])
 by ebox.rath.org (Postfix) with ESMTPS id 75BCC398;
 Tue, 24 Jan 2017 23:16:26 +0000 (UTC)
Received: by vostro.rath.org (Postfix, from userid 1000)
 id 0957F10219A; Tue, 24 Jan 2017 15:09:09 -0800 (PST)
From: Nikolaus Rath <Nikolaus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: Status: [PATCH] nnimap: enable additional expunge options
References: <87inp4p7ri.fsf@HIDDEN>
Date: Tue, 24 Jan 2017 15:09:08 -0800
In-Reply-To: <87inp4p7ri.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 24 Jan 2017 20:39:29 +0100")
Message-ID: <87pojcys17.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20670
Cc: bug#20670 <20670 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Jan 24 2017, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> reassign 20670 emacs,gnus
> thanks
>
> bug#20670 <20670 <at> debbugs.gnu.org> writes:
>
>> retitle 20670 [PATCH] nnimap: enable additional expunge options
>> reassign 20670 gnus
>
> And part of the reason I hadn't seen the patch before is this.  I wasn't
> aware that there were Gnus-only bugs?

I think that is what M-x gnus-bug produces by default (or at least used
to produce).


Best,
-Nikolaus

--=20
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             =C2=BBTime flies like an arrow, fruit flies like a Banana.=C2=
=AB




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 23:10:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 18:10:29 2017
Received: from localhost ([127.0.0.1]:41028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWAEO-000760-85
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:10:29 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:52481)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Nikolaus@HIDDEN>) id 1cWAEJ-00075p-Gh
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 18:10:27 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 25A5520A86;
 Tue, 24 Jan 2017 18:10:23 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute1.internal (MEProxy); Tue, 24 Jan 2017 18:10:23 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc:x-sasl-enc; s=
 smtpout; bh=IXV1JTviLwKXVZ+Q3TIfvi1BEWo=; b=GVoWCuFcKLfU9x0RX94M
 rqNnSN8aQun/YwUhSPjj6kGU07oYnPeR1Id12WkZWIBU9COZjFqC+ROLqcuckA+k
 zpLioL0MPXGjsVjYrzecRr90cngZ6dsBufVk+anRjLSYMUB/JzEOvGxcfl3ywldE
 boPtD/8Msk3htpJbX+6saIU=
X-ME-Sender: <xms:396HWJff6abM1dqjukbEE-ZGWjunwiKr9lB8LTivUSh-FFiNh-x_UQ>
X-Sasl-enc: 3xVu8dJsXrKc1vq1ff0g9Lhn1PrhpX7tPkTuEa4aSss2 1485299422
Received: from ebox.rath.org (ebox.rath.org [45.79.69.51])
 by mail.messagingengine.com (Postfix) with ESMTPA id DC31A7E2B0;
 Tue, 24 Jan 2017 18:10:22 -0500 (EST)
Received: from vostro.rath.org (vostro [192.168.12.4])
 by ebox.rath.org (Postfix) with ESMTPS id 11E93398;
 Tue, 24 Jan 2017 23:10:04 +0000 (UTC)
Received: by vostro.rath.org (Postfix, from userid 1000)
 id DA18510219B; Tue, 24 Jan 2017 15:10:03 -0800 (PST)
From: Nikolaus Rath <Nikolaus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#20670: Status: [PATCH] nnimap: enable additional expunge
 options
References: <556538A5.3050302@HIDDEN> <87inp4p7ri.fsf@HIDDEN>
 <87d1fcp79f.fsf@HIDDEN> <8737g8p715.fsf@HIDDEN>
Date: Tue, 24 Jan 2017 15:10:03 -0800
In-Reply-To: <8737g8p715.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 24 Jan 2017 20:55:18 +0100")
Message-ID: <87mvegyrzo.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20670
Cc: bug#20670 <20670 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Jan 24 2017, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Indeed.  There were about 100 Gnus-only bug reports, so I've never seen
>> them before.  *sigh*
>
> Would anybody mind if I reassigned them all back to emacs,gnus?  So they
> don't get "lost" again?

I certainly don't mind. But I think there's some other issues with the
bug tracker. I only see your last three messages by accident when using
the web interface. They were not send to me by email, despite my being
the submitter.


Best,
-Nikolaus

--=20
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             =C2=BBTime flies like an arrow, fruit flies like a Banana.=C2=
=AB




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 19:55:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 14:55:37 2017
Received: from localhost ([127.0.0.1]:40736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cW7Bm-0007K4-1B
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 14:55:37 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:48757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cW7Bg-0007Jt-TS
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 14:55:32 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>) id 1cW7Bb-0007ci-V3
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 20:55:28 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug#20670 <20670 <at> debbugs.gnu.org>
Subject: Re: bug#20670: Status: [PATCH] nnimap: enable additional expunge
 options
References: <556538A5.3050302@HIDDEN> <87inp4p7ri.fsf@HIDDEN>
 <87d1fcp79f.fsf@HIDDEN>
Date: Tue, 24 Jan 2017 20:55:18 +0100
In-Reply-To: <87d1fcp79f.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 24 Jan 2017 20:50:20 +0100")
Message-ID: <8737g8p715.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Indeed.  There were about 100 Gnus-only bug reports, so I've never seen
> them before.  *sigh*

Would anybody mind if I reassigned them all back to emacs,gnus?  So they
don't get "lost" again?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 19:50:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 14:50:39 2017
Received: from localhost ([127.0.0.1]:40727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cW76x-0007CX-Si
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 14:50:39 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:48724)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cW76s-0007CK-74
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 14:50:33 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>) id 1cW76o-0006ls-06
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 20:50:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug#20670 <20670 <at> debbugs.gnu.org>
Subject: Re: bug#20670: Status: [PATCH] nnimap: enable additional expunge
 options
References: <556538A5.3050302@HIDDEN> <87inp4p7ri.fsf@HIDDEN>
Date: Tue, 24 Jan 2017 20:50:20 +0100
In-Reply-To: <87inp4p7ri.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 24 Jan 2017 20:39:29 +0100")
Message-ID: <87d1fcp79f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> reassign 20670 emacs,gnus
> thanks
>
> bug#20670 <20670 <at> debbugs.gnu.org> writes:
>
>> retitle 20670 [PATCH] nnimap: enable additional expunge options
>> reassign 20670 gnus
>
> And part of the reason I hadn't seen the patch before is this.  I wasn't
> aware that there were Gnus-only bugs?  All the ones I'm seeing are marked
>
> reassing <foo> emacs,gnus
>
> *gulp*  Perhaps there's a gazillion Gnus-only bug reports?

Indeed.  There were about 100 Gnus-only bug reports, so I've never seen
them before.  *sigh*

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#20670; Package emacs,gnus. Full text available.
bug reassigned from package 'gnus' to 'emacs,gnus'. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 19:39:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 14:39:41 2017
Received: from localhost ([127.0.0.1]:40709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cW6wP-0006vW-5j
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 14:39:41 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:48591)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cW6wN-0006vO-NH
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 14:39:40 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>) id 1cW6wJ-0001m8-4e
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 20:39:39 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug#20670 <20670 <at> debbugs.gnu.org>
Subject: Re: Status: [PATCH] nnimap: enable additional expunge options
Date: Tue, 24 Jan 2017 20:39:29 +0100
In-Reply-To: bug's message of "Tue\, 24 Jan 2017 19\:37\:42 +0000"
Message-ID: <87inp4p7ri.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

reassign 20670 emacs,gnus
thanks

bug#20670 <20670 <at> debbugs.gnu.org> writes:

> retitle 20670 [PATCH] nnimap: enable additional expunge options
> reassign 20670 gnus

And part of the reason I hadn't seen the patch before is this.  I wasn't
aware that there were Gnus-only bugs?  All the ones I'm seeing are marked

reassing <foo> emacs,gnus

*gulp*  Perhaps there's a gazillion Gnus-only bug reports?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bugs@HIDDEN:
bug#20670; Package gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 24 Jan 2017 19:35:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 14:35:43 2017
Received: from localhost ([127.0.0.1]:40697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cW6sY-0006pQ-Vo
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2017 14:35:43 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:48538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cW6sW-0006pF-RW
 for 20670 <at> debbugs.gnu.org; Tue, 24 Jan 2017 14:35:41 -0500
Received: from 2.150.49.21.tmi.telenormobil.no ([2.150.49.21] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cW6sQ-0004Ij-22; Tue, 24 Jan 2017 20:35:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 20670 <at> debbugs.gnu.org
Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)
References: <556538A5.3050302@HIDDEN> <87oajs38kf.fsf@HIDDEN>
Date: Tue, 24 Jan 2017 20:35:28 +0100
In-Reply-To: <87oajs38kf.fsf@HIDDEN> (Nikolaus Rath's message of
 "Fri, 03 Jul 2015 20:28:32 -0700")
Message-ID: <87pojcp7y7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software,
 running on the system "hermes.netfonds.no", 
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Nikolaus Rath <Nikolaus@HIDDEN> writes: > If the IMAP
 server supports the UID EXPUNGE command,
 the nnimap backend > currently always expunges
 deleted articles. > > If the IMAP server does not support this command,
 articles
 are either > not expunged at all (nnimap-expunge is nil), or ALL articles
 that are > currently flagged as deleted will be expunged when any one article
 is > deleted in Gnus. > > This patch introduces three new settings for
 nnimap-expunge: [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20670
Cc: ding@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Nikolaus Rath <Nikolaus@HIDDEN> writes:

> If the IMAP server supports the UID EXPUNGE command, the nnimap backend
> currently always expunges deleted articles.
>
> If the IMAP server does not support this command, articles are either
> not expunged at all (nnimap-expunge is nil), or ALL articles that are
> currently flagged as deleted will be expunged when any one article is
> deleted in Gnus.
>
> This patch introduces three new settings for nnimap-expunge:

Looks good.  Two minor comments:

+               (nnheader-message 3 (concat "nnimap-expunge set to 'immediately, but "
+                                           "server doesn't support UIDPLUS"))))
+

You've probably done this to make the lines short enough, but the first
one is still more than 80 chars wide.

+             (nnheader-message 7 "Article marked for deletion, but not expunged.")))))

And so is this.  It's probably better to just reflow by breaking the
line after `nnheader-message'.

This change should also be documented in the "Customizing the IMAP
Connection" node in the Gnus manual, and get an entry in the NEWS file.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bugs@HIDDEN:
bug#20670; Package gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 4 Jul 2015 03:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 03 23:28:41 2015
Received: from localhost ([127.0.0.1]:39132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZBE88-0001tY-H4
	for submit <at> debbugs.gnu.org; Fri, 03 Jul 2015 23:28:41 -0400
Received: from ebox.rath.org ([23.92.25.96]:38471)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Nikolaus@HIDDEN>) id 1ZBE85-0001tO-9D
 for 20670 <at> debbugs.gnu.org; Fri, 03 Jul 2015 23:28:38 -0400
Received: from vostro ([192.168.12.4] helo=vostro.rath.org)
 by ebox.rath.org with esmtps (TLSv1.2:DHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.80) (envelope-from <Nikolaus@HIDDEN>)
 id 1ZBE80-0001ja-Te; Sat, 04 Jul 2015 03:28:32 +0000
Received: by vostro.rath.org (Postfix, from userid 1000)
 id 86A73EC482B; Fri,  3 Jul 2015 20:28:32 -0700 (PDT)
From: Nikolaus Rath <Nikolaus@HIDDEN>
To: 20670 <at> debbugs.gnu.org, ding@HIDDEN
Subject: [PATCH] nnimap: enable additional expunge options (v3)
Mail-Copies-To: never
Mail-Followup-To: 20670 <at> debbugs.gnu.org, ding@HIDDEN
Date: Fri, 03 Jul 2015 20:28:32 -0700
Message-ID: <87oajs38kf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 20670
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

If the IMAP server supports the UID EXPUNGE command, the nnimap backend
currently always expunges deleted articles.

If the IMAP server does not support this command, articles are either
not expunged at all (nnimap-expunge is nil), or ALL articles that are
currently flagged as deleted will be expunged when any one article is
deleted in Gnus.

This patch introduces three new settings for nnimap-expunge:

 * If nnimap-expunge is 'never, deleted articles are marked with the
   IMAP \\Delete flag but not automatically expunged.

 * If nnimap-expunge is 'immediately, deleted articles are immediately
   expunged (this requires the server to support the UID EXPUNGE
   command).

 * If nnimap-expunge is 'on-exit, deleted articles are flagged, and all
   flagged articles are expunged when the group is closed.

Note that none of these behaviors is available with the current settings
(nil / non-nil).

The 'on-exit setting is mostly useful as a safe-guard: as long as the
group is not closed, article deletions are reversal (either by using a
different IMAP client, or by exiting Gnus without updating the summary
buffer).

The 'never setting is not (yet) very useful because Gnus does not
distinguish between deleted articles and regular articles in the summary
buffer. However, this will be addressed by a separate patch.

Changes in v2:

  * Made first line of docstring a complete sentence.

Changes in v3:

  * Correctly handle multiple active nnimap backends.

Thanks for considering,
-Nikolaus

--=20
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             =C2=BBTime flies like an arrow, fruit flies like a Banana.=C2=
=AB

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=nnimap_expunge_v3.diff

diff --git a/nnimap.el b/nnimap.el
--- a/nnimap.el
+++ b/nnimap.el
@@ -103,10 +103,21 @@
 Possible choices are nil (use default methods), `anonymous',
 `login', `plain' and `cram-md5'.")
 
-(defvoo nnimap-expunge t
-  "If non-nil, expunge articles after deleting them.
-This is always done if the server supports UID EXPUNGE, but it's
-not done by default on servers that doesn't support that command.")
+(defvoo nnimap-expunge 'on-exit
+  "When to expunge deleted messages.
+If 'never, deleted articles are marked with the IMAP \\Delete
+flag but not automatically expunged. If 'immediately, deleted
+articles are immediately expunged (this requires the server to
+support the UID EXPUNGE command). If 'on-exit, deleted articles
+are flagged, and all flagged articles are expunged when the
+group is closed.
+
+For backwards compatibility, this variable may also be set to t
+or nil. If the server supports UID EXPUNGE, both t and nil are
+equivalent to 'immediately. If the server does not support UID
+EXPUNGE nil is equivalent to 'never, while t will immediately
+expunge ALL articles that are currently flagged as deleted
+(i.e., potentially not only the article that was just deleted).")
 
 (defvoo nnimap-streaming t
   "If non-nil, try to use streaming commands with IMAP servers.
@@ -865,7 +876,11 @@
     (nreverse articles)))
 
 (deffoo nnimap-close-group (group &optional server)
-  t)
+  (when (eq nnimap-expunge 'on-exit)
+    (nnoo-change-server 'nnimap server nil)
+    (with-current-buffer (nnimap-buffer)
+      (nnimap-wait-for-response
+       (nnimap-send-command "EXPUNGE")))))
 
 (deffoo nnimap-request-move-article (article group server accept-form
 					     &optional last internal-move-group)
@@ -910,8 +925,7 @@
     articles)
    ((and force
 	 (eq nnmail-expiry-target 'delete))
-    (unless (nnimap-delete-article (gnus-compress-sequence articles))
-      (nnheader-message 7 "Article marked for deletion, but not expunged."))
+    (nnimap-delete-article (gnus-compress-sequence articles))
     nil)
    (t
     (let ((deletable-articles
@@ -1027,21 +1041,36 @@
             (when (and limit number-of-article)
               (nnimap-find-article-by-message-id group server message-id))))))))
 
-(defun nnimap-delete-article (articles)
+(defun nnimap-delete-article (articles &optional sync)
+  "Delete ARTICLES.
+
+If sync is non-nil, wait for server response."
   (with-current-buffer (nnimap-buffer)
     (nnimap-command "UID STORE %s +FLAGS.SILENT (\\Deleted)"
 		    (nnimap-article-ranges articles))
+    (let ((sequence
     (cond
-     ((nnimap-capability "UIDPLUS")
+            ((eq nnimap-expunge 'immediately)
+             (if (nnimap-capability "UIDPLUS")
       (nnimap-command "UID EXPUNGE %s"
 		      (nnimap-article-ranges articles))
-      t)
+               (nnheader-message 3 (concat "nnimap-expunge set to 'immediately, but "
+                                           "server doesn't support UIDPLUS"))))
+
+            ((memq nnimap-expunge '(on-exit never)) nil)
+
+            ((nnimap-capability "UIDPLUS")
+             (nnimap-command "UID EXPUNGE %s"
+                             (nnimap-article-ranges articles)))
+
      (nnimap-expunge
-      (nnimap-command "EXPUNGE")
-      t)
-     (t (gnus-message 7 (concat "nnimap: nnimap-expunge is not set and the "
-                                "server doesn't support UIDPLUS, so we won't "
-                                "delete this article now"))))))
+             (nnimap-command "EXPUNGE"))
+
+            (t
+             (nnheader-message 7 "Article marked for deletion, but not expunged.")))))
+
+      (if (and sync sequence)
+          (nnimap-wait-for-response sequence)))))
 
 (deffoo nnimap-request-scan (&optional group server)
   (when group
@@ -2043,27 +2072,9 @@
 	      (nnimap-wait-for-response (caar sequences))
 	      ;; And then mark the successful copy actions as deleted,
 	      ;; and possibly expunge them.
-	      (nnimap-mark-and-expunge-incoming
-	       (nnimap-parse-copied-articles sequences)))
-            (nnimap-mark-and-expunge-incoming junk-articles)))))))
-
-(defun nnimap-mark-and-expunge-incoming (range)
-  (when range
-    (setq range (nnimap-article-ranges range))
-    (erase-buffer)
-    (let ((sequence
-	   (nnimap-send-command
-	    "UID STORE %s +FLAGS.SILENT (\\Deleted)" range)))
-      (cond
-       ;; If the server supports it, we now delete the message we have
-       ;; just copied over.
-       ((nnimap-capability "UIDPLUS")
-	(setq sequence (nnimap-send-command "UID EXPUNGE %s" range)))
-       ;; If it doesn't support UID EXPUNGE, then we only expunge if the
-       ;; user has configured it.
-       (nnimap-expunge
-	(setq sequence (nnimap-send-command "EXPUNGE"))))
-      (nnimap-wait-for-response sequence))))
+              (nnimap-delete-article
+               (nnimap-parse-copied-articles sequences) t))
+            (nnimap-delete-article junk-articles t)))))))
 
 (defun nnimap-parse-copied-articles (sequences)
   (let (sequence copied range)

--=-=-=--




Information forwarded to bugs@HIDDEN:
bug#20670; Package gnus. Full text available.

Message received at 20670 <at> debbugs.gnu.org:


Received: (at 20670) by debbugs.gnu.org; 3 Jul 2015 02:10:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 02 22:10:34 2015
Received: from localhost ([127.0.0.1]:38117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZAqQz-0005wG-L1
	for submit <at> debbugs.gnu.org; Thu, 02 Jul 2015 22:10:34 -0400
Received: from ebox.rath.org ([23.92.25.96]:37465)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Nikolaus@HIDDEN>) id 1ZAqQv-0005w6-Fd
 for 20670 <at> debbugs.gnu.org; Thu, 02 Jul 2015 22:10:30 -0400
Received: from vostro ([192.168.12.4] helo=vostro.rath.org)
 by ebox.rath.org with esmtps (TLSv1.2:DHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.80) (envelope-from <Nikolaus@HIDDEN>)
 id 1ZAqQr-0002Hu-8O; Fri, 03 Jul 2015 02:10:25 +0000
Received: by vostro.rath.org (Postfix, from userid 1000)
 id D5B46EC44D0; Thu,  2 Jul 2015 19:10:24 -0700 (PDT)
From: Nikolaus Rath <Nikolaus@HIDDEN>
To: 20670 <at> debbugs.gnu.org, ding@HIDDEN
Subject: [PATCH] nnimap: enable additional expunge options
Mail-Copies-To: never
Mail-Followup-To: 20670 <at> debbugs.gnu.org, ding@HIDDEN
Date: Thu, 02 Jul 2015 19:10:24 -0700
Message-ID: <87r3oq9ejz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 20670
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

If the IMAP server supports the UID EXPUNGE command, the nnimap backend
currently always expunges deleted articles.

If the IMAP server does not support this command, articles are either
not expunged at all (nnimap-expunge is nil), or ALL articles that are
currently flagged as deleted will be expunged when any one article is
deleted in Gnus.

The attached patch introduces three new settings for nnimap-expunge:

 * If nnimap-expunge is 'never, deleted articles are marked with the
   IMAP \\Delete flag but not automatically expunged.

 * If nnimap-expunge is 'immediately, deleted articles are immediately
   expunged (this requires the server to support the UID EXPUNGE
   command).

 * If nnimap-expunge is 'on-exit, deleted articles are flagged, and all
   flagged articles are expunged when the group is closed.

Note that none of these behaviors is available with the current settings
(nil / non-nil).

The 'on-exit setting is mostly useful as a safe-guard: as long as the
group is not closed, article deletions are reversal (either by using a
different IMAP client, or by exiting Gnus without updating the summary
buffer).

The 'never setting is not (yet) very useful because Gnus does not
distinguish between deleted articles and regular articles in the summary
buffer. However, this will be addressed by a separate patch.


Changes since v1:

 * Made first line of docstring a complete sentence.


Thanks for considering,
-Nikolaus

--=20
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             =C2=BBTime flies like an arrow, fruit flies like a Banana.=C2=
=AB

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=nnimap_expunge_v2.diff

diff --git a/nnimap.el b/nnimap.el
--- a/nnimap.el
+++ b/nnimap.el
@@ -103,10 +103,21 @@
 Possible choices are nil (use default methods), `anonymous',
 `login', `plain' and `cram-md5'.")
 
-(defvoo nnimap-expunge t
-  "If non-nil, expunge articles after deleting them.
-This is always done if the server supports UID EXPUNGE, but it's
-not done by default on servers that doesn't support that command.")
+(defvoo nnimap-expunge 'on-exit
+  "When to expunge deleted messages.
+If 'never, deleted articles are marked with the IMAP \\Delete
+flag but not automatically expunged. If 'immediately, deleted
+articles are immediately expunged (this requires the server to
+support the UID EXPUNGE command). If 'on-exit, deleted articles
+are flagged, and all flagged articles are expunged when the
+group is closed.
+
+For backwards compatibility, this variable may also be set to t
+or nil. If the server supports UID EXPUNGE, both t and nil are
+equivalent to 'immediately. If the server does not support UID
+EXPUNGE nil is equivalent to 'never, while t will immediately
+expunge ALL articles that are currently flagged as deleted
+(i.e., potentially not only the article that was just deleted).")
 
 (defvoo nnimap-streaming t
   "If non-nil, try to use streaming commands with IMAP servers.
@@ -865,7 +876,11 @@
     (nreverse articles)))
 
 (deffoo nnimap-close-group (group &optional server)
-  t)
+  (if (eq nnimap-expunge 'on-exit)
+      (with-current-buffer (nnimap-buffer)
+        (nnimap-wait-for-response
+         (nnimap-send-command "EXPUNGE")))
+    t))
 
 (deffoo nnimap-request-move-article (article group server accept-form
 					     &optional last internal-move-group)
@@ -910,8 +925,7 @@
     articles)
    ((and force
 	 (eq nnmail-expiry-target 'delete))
-    (unless (nnimap-delete-article (gnus-compress-sequence articles))
-      (nnheader-message 7 "Article marked for deletion, but not expunged."))
+    (nnimap-delete-article (gnus-compress-sequence articles))
     nil)
    (t
     (let ((deletable-articles
@@ -1027,21 +1041,36 @@
             (when (and limit number-of-article)
               (nnimap-find-article-by-message-id group server message-id))))))))
 
-(defun nnimap-delete-article (articles)
+(defun nnimap-delete-article (articles &optional sync)
+  "Delete ARTICLES.
+
+If sync is non-nil, wait for server response."
   (with-current-buffer (nnimap-buffer)
     (nnimap-command "UID STORE %s +FLAGS.SILENT (\\Deleted)"
 		    (nnimap-article-ranges articles))
+    (let ((sequence
     (cond
-     ((nnimap-capability "UIDPLUS")
+            ((eq nnimap-expunge 'immediately)
+             (if (nnimap-capability "UIDPLUS")
       (nnimap-command "UID EXPUNGE %s"
 		      (nnimap-article-ranges articles))
-      t)
+               (nnheader-message 3 (concat "nnimap-expunge set to 'immediately, but "
+                                           "server doesn't support UIDPLUS"))))
+
+            ((memq nnimap-expunge '(on-exit never)) nil)
+
+            ((nnimap-capability "UIDPLUS")
+             (nnimap-command "UID EXPUNGE %s"
+                             (nnimap-article-ranges articles)))
+
      (nnimap-expunge
-      (nnimap-command "EXPUNGE")
-      t)
-     (t (gnus-message 7 (concat "nnimap: nnimap-expunge is not set and the "
-                                "server doesn't support UIDPLUS, so we won't "
-                                "delete this article now"))))))
+             (nnimap-command "EXPUNGE"))
+
+            (t
+             (nnheader-message 7 "Article marked for deletion, but not expunged.")))))
+
+      (if (and sync sequence)
+          (nnimap-wait-for-response sequence)))))
 
 (deffoo nnimap-request-scan (&optional group server)
   (when group
@@ -2043,27 +2072,9 @@
 	      (nnimap-wait-for-response (caar sequences))
 	      ;; And then mark the successful copy actions as deleted,
 	      ;; and possibly expunge them.
-	      (nnimap-mark-and-expunge-incoming
-	       (nnimap-parse-copied-articles sequences)))
-            (nnimap-mark-and-expunge-incoming junk-articles)))))))
-
-(defun nnimap-mark-and-expunge-incoming (range)
-  (when range
-    (setq range (nnimap-article-ranges range))
-    (erase-buffer)
-    (let ((sequence
-	   (nnimap-send-command
-	    "UID STORE %s +FLAGS.SILENT (\\Deleted)" range)))
-      (cond
-       ;; If the server supports it, we now delete the message we have
-       ;; just copied over.
-       ((nnimap-capability "UIDPLUS")
-	(setq sequence (nnimap-send-command "UID EXPUNGE %s" range)))
-       ;; If it doesn't support UID EXPUNGE, then we only expunge if the
-       ;; user has configured it.
-       (nnimap-expunge
-	(setq sequence (nnimap-send-command "EXPUNGE"))))
-      (nnimap-wait-for-response sequence))))
+              (nnimap-delete-article
+               (nnimap-parse-copied-articles sequences) t))
+            (nnimap-delete-article junk-articles t)))))))
 
 (defun nnimap-parse-copied-articles (sequences)
   (let (sequence copied range)

--=-=-=--




Information forwarded to bugs@HIDDEN:
bug#20670; Package gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 May 2015 03:23:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 26 23:23:36 2015
Received: from localhost ([127.0.0.1]:57724 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YxRwK-0006vn-3Y
	for submit <at> debbugs.gnu.org; Tue, 26 May 2015 23:23:35 -0400
Received: from ebox.rath.org ([23.92.25.96]:44581)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Nikolaus@HIDDEN>) id 1YxRwD-0006vZ-E5
 for submit <at> debbugs.gnu.org; Tue, 26 May 2015 23:23:29 -0400
Received: from ip174-67-224-13.oc.oc.cox.net ([174.67.224.13]
 helo=[192.168.17.47])
 by ebox.rath.org with esmtpsa (TLSv1.2:DHE-RSA-AES128-SHA:128)
 (Exim 4.80) (envelope-from <Nikolaus@HIDDEN>) id 1YxRwB-0001ea-Q2
 for submit <at> debbugs.gnu.org; Wed, 27 May 2015 03:23:23 +0000
Message-ID: <556538A5.3050302@HIDDEN>
Date: Tue, 26 May 2015 20:23:17 -0700
From: Nikolaus Rath <Nikolaus@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Icedove/31.7.0
MIME-Version: 1.0
To: submit <at> debbugs.gnu.org
Subject: [PATCH] nnimap: enable additional expunge options
Content-Type: multipart/mixed; boundary="------------040702070902040801030302"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

This is a multi-part message in MIME format.
--------------040702070902040801030302
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit

[ Apologies for the duplicate messages, I've confused bugs@HIDDEN with
submit <at> debbugs.gnu.org ]

Hello,

If the IMAP server supports the UID EXPUNGE command, the nnimap backend
currently always expunges deleted articles.

If the IMAP server does not support this command, articles are either
not expunged at all (nnimap-expunge is nil), or ALL articles that are
currently flagged as deleted will be expunged when any one article is
deleted in Gnus.

The attached patch introduces three new settings for nnimap-expunge:

 * If nnimap-expunge is 'never, deleted articles are marked with the
   IMAP \\Delete flag but not automatically expunged.

 * If nnimap-expunge is 'immediately, deleted articles are immediately
   expunged (this requires the server to support the UID EXPUNGE
   command).

 * If nnimap-expunge is 'on-exit, deleted articles are flagged, and all
   flagged articles are expunged when the group is closed.

Note that none of these behaviors is available with the current settings
(nil / non-nil).

The 'on-exit setting is mostly useful as a safe-guard: as long as the
group is not closed, article deletions are reversal (either by using a
different IMAP client, or by exiting Gnus without updating the summary
buffer).

The 'never setting is not (yet) very useful because Gnus does not
distinguish between deleted articles and regular articles in the summary
buffer. However, this will be addressed by a separate patch.

I hope these patches will improve interoperability of Gnus with other
IMAP mail clients.

Thanks for considering.

Best,
-Nikolaus

-- 
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             »Time flies like an arrow, fruit flies like a Banana.«


--------------040702070902040801030302
Content-Type: text/x-patch;
 name="nnimap_expunge.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="nnimap_expunge.diff"

--- nnimap.el.bak	2015-05-25 11:04:15.671769838 -0700
+++ nnimap.el	2015-05-26 19:03:11.563602488 -0700
@@ -103,10 +103,20 @@
 Possible choices are nil (use default methods), `anonymous',
 `login', `plain' and `cram-md5'.")
 
-(defvoo nnimap-expunge t
-  "If non-nil, expunge articles after deleting them.
-This is always done if the server supports UID EXPUNGE, but it's
-not done by default on servers that doesn't support that command.")
+(defvoo nnimap-expunge 'on-exit
+  "If 'never, deleted articles are marked with the IMAP \\Delete
+flag but not automatically expunged. If 'immediately, deleted
+articles are immediately expunged (this requires the server to
+support the UID EXPUNGE command). If 'on-exit, deleted articles
+are flagged, and all flagged articles are expunged when the
+group is closed.
+
+For backwards compatibility, this variable may also be set to t
+or nil. If the server supports UID EXPUNGE, both t and nil are
+equivalent to 'immediately. If the server does not support UID
+EXPUNGE nil is equivalent to 'never, while t will immediately
+expunge ALL articles that are currently flagged as deleted
+(i.e., potentially not only the article that was just deleted).")
 
 (defvoo nnimap-streaming t
   "If non-nil, try to use streaming commands with IMAP servers.
@@ -864,7 +875,11 @@
     (nreverse articles)))
 
 (deffoo nnimap-close-group (group &optional server)
-  t)
+  (if (eq nnimap-expunge 'on-exit)
+      (with-current-buffer (nnimap-buffer)
+        (nnimap-wait-for-response
+         (nnimap-send-command "EXPUNGE")))
+    t))
 
 (deffoo nnimap-request-move-article (article group server accept-form
 					     &optional last internal-move-group)
@@ -909,8 +926,7 @@
     articles)
    ((and force
 	 (eq nnmail-expiry-target 'delete))
-    (unless (nnimap-delete-article (gnus-compress-sequence articles))
-      (nnheader-message 7 "Article marked for deletion, but not expunged."))
+    (nnimap-delete-article (gnus-compress-sequence articles))
     nil)
    (t
     (let ((deletable-articles
@@ -1026,21 +1042,36 @@
             (when (and limit number-of-article)
               (nnimap-find-article-by-message-id group server message-id))))))))
 
-(defun nnimap-delete-article (articles)
+(defun nnimap-delete-article (articles &optional sync)
+  "Delete ARTICLES.
+
+If sync is non-nil, wait for server response."
   (with-current-buffer (nnimap-buffer)
     (nnimap-command "UID STORE %s +FLAGS.SILENT (\\Deleted)"
 		    (nnimap-article-ranges articles))
+    (let ((sequence
     (cond
-     ((nnimap-capability "UIDPLUS")
+            ((eq nnimap-expunge 'immediately)
+             (if (nnimap-capability "UIDPLUS")
       (nnimap-command "UID EXPUNGE %s"
 		      (nnimap-article-ranges articles))
-      t)
+               (nnheader-message 3 (concat "nnimap-expunge set to 'immediately, but "
+                                           "server doesn't support UIDPLUS"))))
+
+            ((memq nnimap-expunge '(on-exit never)) nil)
+
+            ((nnimap-capability "UIDPLUS")
+             (nnimap-command "UID EXPUNGE %s"
+                             (nnimap-article-ranges articles)))
+
      (nnimap-expunge
-      (nnimap-command "EXPUNGE")
-      t)
-     (t (gnus-message 7 (concat "nnimap: nnimap-expunge is not set and the "
-                                "server doesn't support UIDPLUS, so we won't "
-                                "delete this article now"))))))
+             (nnimap-command "EXPUNGE"))
+
+            (t
+             (nnheader-message 7 "Article marked for deletion, but not expunged.")))))
+
+      (if (and sync sequence)
+          (nnimap-wait-for-response sequence)))))
 
 (deffoo nnimap-request-scan (&optional group server)
   (when group
@@ -2042,27 +2073,9 @@
 	      (nnimap-wait-for-response (caar sequences))
 	      ;; And then mark the successful copy actions as deleted,
 	      ;; and possibly expunge them.
-	      (nnimap-mark-and-expunge-incoming
-	       (nnimap-parse-copied-articles sequences)))
-            (nnimap-mark-and-expunge-incoming junk-articles)))))))
-
-(defun nnimap-mark-and-expunge-incoming (range)
-  (when range
-    (setq range (nnimap-article-ranges range))
-    (erase-buffer)
-    (let ((sequence
-	   (nnimap-send-command
-	    "UID STORE %s +FLAGS.SILENT (\\Deleted)" range)))
-      (cond
-       ;; If the server supports it, we now delete the message we have
-       ;; just copied over.
-       ((nnimap-capability "UIDPLUS")
-	(setq sequence (nnimap-send-command "UID EXPUNGE %s" range)))
-       ;; If it doesn't support UID EXPUNGE, then we only expunge if the
-       ;; user has configured it.
-       (nnimap-expunge
-	(setq sequence (nnimap-send-command "EXPUNGE"))))
-      (nnimap-wait-for-response sequence))))
+              (nnimap-delete-article
+               (nnimap-parse-copied-articles sequences) t))
+            (nnimap-delete-article junk-articles t)))))))
 
 (defun nnimap-parse-copied-articles (sequences)
   (let (sequence copied range)

--------------040702070902040801030302--




Acknowledgement sent to Nikolaus Rath <Nikolaus@HIDDEN>:
New bug report received and forwarded. Copy sent to help-debbugs@HIDDEN. Full text available.
Report forwarded to help-debbugs@HIDDEN:
bug#20670; Package debbugs.gnu.org. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 25 Jan 2017 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.